summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 34aca03a..5a2a5ec3 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -153,6 +153,15 @@ if grep -q '|' $PACKAGES ; then
fi
rm $PACKAGES
+# remove lockfiles older than 2 days
+LOCKFILES=$(find /tmp/reproducible-lockfile-* -maxdepth 1 -type f -mtime +2 -exec ls -lad {} \; || true)
+if [ ! -z "$LOCKFILES" ] ; then
+ echo
+ echo "Removed old lockfiles:"
+ find /tmp/reproducible-lockfile-* -maxdepth 1 -type f -mtime +2 -exec rm -rv {} \;
+ echo
+fi
+
# find packages which have been removed from the archive
PACKAGES=$(mktemp)
QUERY="SELECT name, suite, architecture FROM removed_packages